Bug 32585 - Unknown file size
Unknown file size
Status: RESOLVED FIXED
Product: Tomcat 4
Classification: Unclassified
Component: Catalina
4.1.30
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-12-08 13:39 UTC by Omry Yadan
Modified: 2004-12-09 16:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Omry Yadan 2004-12-08 13:39:15 UTC
Tomcat seems to report unknown file size when sending a file as large as 4gb.
maybe it hit the int limit?
Comment 1 Mark Thomas 2004-12-08 18:44:17 UTC
This looks like the mirror of 30152. The fix should be similar.
Comment 2 Omry Yadan 2004-12-08 19:42:47 UTC
I am not familer with HTTP PUT semantics, so I am not sure its the same.
I used HTTP GET.
this bug is supposengly fixed in newer versions?
Comment 3 Mark Thomas 2004-12-10 01:05:53 UTC
This issue is not fixed in any current release.

I have committed a patch to CVs that should fix it. This fix will therefore be 
included in the next release.